<?php
/**
 * Customizer pro section control.
 *
 * @package Industri WordPress Theme
 * @subpackage industri
 * @since industri 1.0
 * 
 */

if ( ! class_exists( 'Indistri_Customize_Premium_Section_control' ) ) {

	class Indistri_Customize_Premium_Section_control extends WP_Customize_Section {

		public $type = 'industri';	
		public $premium_url = '';

		public function json() {
			$json = parent::json();

			$json['text'] = esc_html__( 'Buy Premium Features','industri' );
			$json['premium_url']  = esc_url( $this->premium_url );

			return $json;
		}

		protected function render_template() { ?>
			<li id="accordion-panel-{{ data.id }}" class="accordion-section control-section control-panel control-panel-{{ data.type }}" >
				<h2 class="accordion-section-title" style="background-color: #f94b1a;">
					{{ data.title }}
					<a href="{{ data.premium_url }}" target="_blank" style="color: #ffffff; text-decoration: none;">{{ data.text }}</a>
				</h2>
			</li>
			<?php
		}
	}

}