<?php 
function industri_widgets_init() {
	$footer_widget_column = get_theme_mod('footer_widget_column', 'col-lg-3');

    //sidebar in post and pages
	register_sidebar( array(
		'name'          => __( 'Sidebar Widget', 'industri' ),
		'id'            => "industri-primary-widget",
		'description'   => __( 'The Primary Widget Area', 'industri' ),
		'before_widget' => '<aside id="%1$s" class="card widget %2$s"><div class="card-body">',
		'after_widget'  => '</div></aside>',
		'before_title'  => '<h4 class="sidebar_title">',
		'after_title'   => '</h4>',
	));    
	
	// woocommerce
	register_sidebar( array(
		'name'          => __( 'WooCommerce Widget', 'industri' ),
		'id'            => "industri-wc-widget",
		'description'   => __( 'WooCommerce Widget Area', 'industri' ),
		'before_widget' => '<aside id="%1$s" class="card widget %2$s"><div class="card-body">',
		'after_widget'  => '</div></aside>',
		'before_title'  => '<h4 class="sidebar_title">',
		'after_title'   => '</h4>',
	)); 

	// footer siderbar
	register_sidebar( array(
		'name'          => __( 'Footer Widget', 'industri' ),
		'id'            => 'industri-footer-widget',
		'description'   => __( 'Footer Widget Area', 'industri' ),
		'before_widget' => '<div id="%1$s" class="col-md-6 '.$footer_widget_column.' wow fadeInUp %2$s" data-wow-duration="1s" data-wow-delay="1s"><aside class="footer-widget widget ">',
		'after_widget'  => '</aside></div>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	)); 
}
add_action( 'widgets_init', 'industri_widgets_init' );
?>